# $Revision: 1.28 $, $Date: 2006/12/08 01:11:24 $
Summary:	Java Regular Expression
Summary(pl):	Wyraenia regularne do Javy
Name:		jakarta-regexp
Version:	1.4
Release:	2
License:	Apache v2.0
Group:		Development/Languages/Java
Source0:	http://www.apache.org/dist/jakarta/regexp/source/%{name}-%{version}.tar.gz
# Source0-md5:	d903d84c949df848009f3bf205b32c97
Patch0:		%{name}-build.patch
URL:		http://jakarta.apache.org/regexp/index.html
BuildRequires:	ant
BuildRequires:	jpackage-utils
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	jre
BuildArch:	noarch
ExclusiveArch:	i586 i686 pentium3 pentium4 athlon %{x8664} noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Regexp is a 100% Pure Java Regular Expression package that was
graciously donated to the Apache Software Foundation by Jonathan
Locke. This package is intended to be an answer to a question we
commonly hear in the Java world: "Why isn't there a decent regular
expression package available for Java under a BSD-Style (ie: Apache)
license?"

%description -l pl
Regexp to pakiet obsugujcy wyraenia regularne napisany cakowicie w
czystej Javie. Zosta on askawie podarowany Apache Software
Foundation przez Jonathana Locke. Ten pakiet ma by odpowiedzi na
pytanie czsto syszane w wiecie Javy: "dlaczego nie ma przyzwoitego
pakietu obsugujcego wyraenia regularne w Javie na licencji typu
BSD?".

%package javadoc
Summary:	Java Regular Expression API documentation
Summary(pl):	Dokumentacja API javowych wyrae regularnych
Group:		Development/Languages/Java
Requires:	jpackage-utils
Obsoletes:	jakarta-regexp-doc

%description javadoc
Java Regular Expression API documentation.

%description javadoc -l pl
Dokumentacja API javowych wyrae regularnych.

%prep
%setup -q
%patch0 -p1
find . -name "*.jar" -exec rm -f {} \;

%build
unset CLASSPATH || :
export JAVA_HOME="%{java_home}"
%ant jar javadocs

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_javadir},%{_javadocdir}/%{name}-%{version}}

install build/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}
ln -sf %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/regexp.jar

cp -R docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE docs/*.html docs/*.txt
%{_javadir}/*.jar

%files javadoc
%defattr(644,root,root,755)
%doc %{_javadocdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)

%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: jakarta-regexp.spec,v $
Revision 1.28  2006/12/08 01:11:24  glen
- -javadoc R: jpackage-utils for parent dirs; rel 2

Revision 1.27  2006/05/24 11:13:28  jajcus
- sanitize CLASSPATH and JAVA_HOME

Revision 1.26  2006/05/24 10:38:57  qboosh
- Obsoletes for jakarta-regexp-doc

Revision 1.25  2006/05/24 10:25:32  jajcus
- BR: jpackage-utils, rpmbuild(macros) >= 1.300
- ExclusiveArch added for builders with JDK
- javadoc subpackage instead of doc subpackage, API docs moved to %{_javadocdir}

Revision 1.24  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.23  2005/08/28 15:43:15  qboosh
- updated to 1.4, updated build patch

Revision 1.22  2004/12/14 14:21:24  baggins
- fixed files

Revision 1.21  2004/12/14 14:10:52  baggins
- fixed install

Revision 1.20  2004/12/14 14:09:16  baggins
- apply patch

Revision 1.19  2004/12/14 14:06:53  baggins
- added build patch

Revision 1.18  2004/12/14 14:03:02  baggins
- fixed build

Revision 1.17  2004/12/14 13:59:57  baggins
- updated md5sum

Revision 1.16  2004/12/14 13:59:19  baggins
- updated to 1.3

Revision 1.15  2004/07/15 12:00:38  pluto
- use %{_javadir}.

Revision 1.14  2003/07/03 18:57:37  qboosh
- longer description

Revision 1.13  2003/07/02 11:39:03  pascalek
- Release 3
- Source0 changed
- Build fixes

Revision 1.12  2003/05/28 12:59:13  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 05:49:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2002/08/24 20:16:49  qboosh
- Requires: jre

Revision 1.9  2002/08/18 17:14:22  blues
- release 2 - license fix, new doc

Revision 1.8  2002/04/25 16:38:31  arturs
- fixed a small typo

Revision 1.7  2002/02/23 02:59:08  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:29:05  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/01/18 02:13:23  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2002/01/09 16:19:23  ankry
- replaced source URL by non-redirecting one.

Revision 1.3  2001/11/30 10:17:37  qboosh
- removed %_javalibdir directory from package

Revision 1.2  2001/11/30 10:08:00  qboosh
- pl translations, cosmetics

Revision 1.1  2001/10/02 08:28:15  pascalek
- initial revision
